Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01807 Graphics Minor Always May 15, 2008, 18:39 Jan 1, 2021, 06:17
Tester etabeta View Status Public Platform SDLMAME
Assigned To jkm900 Resolution Fixed OS MacOS X
Status [?] Resolved Driver undrfire.cpp
Version 0.125u1 Fixed in Version 0.227 Build
Fixed in Git Commit Github Pull Request #
Summary 01807: cbombers: missing graphics in attract mode
Description since there are no more flags for this game, I report that graphics is still missing in various sequences during the attract mode (it was the same also in older versions)

p.s. bug confirmed also on windows and on debug builds FWIW
Steps To Reproduce let the attract sequence run
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems cbombers
Attached Files
png file icon 0002.png (16,607 bytes) May 15, 2008, 18:57
png file icon 0003.png (20,291 bytes) May 15, 2008, 18:57
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.00967
Tafoid
Administrator
May 15, 2008, 18:58
Just uploaded a couple examples of what appears to be missing graphics.
User avatar
No.00993
Phil Bennett
Developer
May 16, 2008, 18:51
Now flagged with GAME_IMPERFECT_GRAPHICS.
User avatar
No.18156
MetalGod
Senior Tester
Nov 13, 2020, 22:47
edited on: Nov 13, 2020, 22:53
Fixed in mame 0.227
Graphics could be turned to OK now
User avatar
No.18211
dink
Tester
Dec 4, 2020, 01:50
How about: check graphics after coin-up and select race?
User avatar
No.18214
MetalGod
Senior Tester
Dec 4, 2020, 18:51
edited on: Dec 6, 2020, 19:48
True... now the moving screen after selecting the difficulty seems wrong. That's a regression. We'll wait for official mame 0.227 to report this.
The rest of the game's graphics seems right now.
User avatar
No.18313
dink
Tester
Jan 1, 2021, 06:17
edited on: Jan 1, 2021, 15:17
I made a fix for it but it required changing the priority order, more info regarding this has been posted here:
https://github.com/mamedev/mame/pull/7460

in video/undrfire.cpp line 537, the fix is:
-const u16 priority = m_tc0480scp->get_bg_priority();
+u16 priority = m_tc0480scp->get_bg_priority();
+if (priority == 0x3210) priority = 0x2310;

note: in the tc0480scp's bg priority table(video/tc0480scp.cpp line 873 - tc0480scp_bg_pri_lookup), entry for 0x3210 doesn't seem logically correct. If this is changed to 0x2310, it will also fix the problem without the need for the above change to video/undrfire.cpp. Though, before changing this, the games in mame055's source code that lists where that pri code is used will need to be tested first to see if it causes any priority problems.

mame055's tc0480scp lookup-table evidence: https://pastebin.com/PYVmjcmh
EDIT: changing 0x3210 -> 0x2310 in tc0480scp does indeed cause issue in Metal Black, so the priority order is probably just different for cbombers. (beginning of stage 1, the farmost buildings in the parallax background disappear)

best regards,
- dink